// THIS PROGRAM RUNS PROCEDURES FOR CREATING FIGURE 21
// DATE CREATED: 2025-04-28
// AUTHOR: Euijin Jung (ejung1@worldbank.org)

*************************************************************************

//////////// DATA TO GENERATE FIGURE 21 ///////////////////////////


** Defining path **
clear
set more off
** Deep Trade Agreement Database
global horizontalMapping "$main\Data\DTA\DTA 1.0 - Horizontal Content (v2).xlsx"
global verticalMapping "$main\Data\DTA\DTA 2.0 - Vertical Content (v2).xlsx"
** World Bank Country classification
global wb_class "$main\Data\DTA\WB_Class.dta" 


import excel "$horizontalMapping", sheet("WTO-X AC") firstrow clear
keep WBID Environmental
rename Environmental cov_Env
duplicates drop
tempfile cov
save `cov', replace
import excel "$horizontalMapping", sheet("WTO-X LE") firstrow clear
keep WBID Environmental
rename Environmental le_Env
recode le(2=1)
duplicates drop
merge 1:1 WBID using `cov', keep(match) nogen
tempfile env
save `env', replace
import excel "$horizontalMapping", sheet("Bilateral Information") firstrow clear
rename iso1 Code 
merge m:m Code using "$wb_class", keep(match) nogen
rename Code iso1
rename Income Income1
rename iso2 Code 
drop Economy Region Lending  entry
merge m:m Code using "$wb_class", keep(match) nogen
drop Economy Region Lending
drop Economy*
rename Code iso2
rename Incomegroup Income2
gen dev=1 if Income1==Income2 & Income1=="High income"
replace dev=2 if Income1!="High income" & Income2!="High income"
replace dev=3 if dev==.
 
bysort WBID: egen entry=min(year) 
 
collapse (max) dev, by(WBID year entry)
tab year dev
merge m:1 WBID using `env', keep(match) nogen
gen new=entry==year
recode le_Env cov_Env(1=0) if year!=entry
gen cum=1
gen env_le=le_Env
gen env_cov=cov_Env-le_Env
gen non_env=new-cov_Env
collapse (sum) cum cov_Env non_env, by(year)
label var cum "Cumulative PTAs"
label var cov_Env "With environmental provisions"
label var non_env"Without environmental provisions"
save "$main\Output\fig21.dta",replace
clear
