// THIS PROGRAM RUNS PROCEDURES FOR CREATING FIGURE 18
// DATE CREATED: 2025-04-25
// AUTHOR: Euijin Jung (ejung1@worldbank.org)

*************************************************************************

//////////// DATA TO GENERATE FIGURE 20 ///////////////////////////

clear all
set more off
global wb_class "$main\Data\EG tariff\ISO_Region_Income.dta"


import excel "$main\Data\EG tariff\TC2_EG tariff.xlsx", sheet("raw_hs") firstrow
collapse(mean) SimpleAverage WeightedAverage, by( TariffYear Reporter ReporterName)
count if Tariff==2016
count if Tariff==2017
count if Tariff==2018
count if Tariff==2019
count if Tariff==2020
count if Tariff==2021
count if Tariff==2022
count if Tariff==2023
drop Reporter
rename Ta year
rename Rep country
rename Simple sa
rename We wa
reshape wide sa wa, i(country)j(y)
so country sa*
drop wa*
gen ta=sa2023
replace ta=sa2022 if missing(ta)
replace ta=sa2021 if missing(ta)
replace ta=sa2020 if missing(ta)
replace ta=sa2019 if missing(ta)
so ta
replace ta=sa2017 if missing(ta)
replace ta=sa2016 if missing(ta)
replace coun="Brunei Darussalam" if country=="Brunei"
replace coun="Cabo Verde" if country=="Cape Verde"
replace coun="Côte d'Ivoire" if country=="Cote d'Ivoire"
replace coun="Czechia" if country=="Czech Republic"
replace coun="Timor-Leste" if country=="East Timor"
replace coun="Ethiopia" if country=="Ethiopia(excludes Eritrea)"
replace coun="Hong Kong SAR, China" if country=="Hong Kong, China"
replace coun="Macao SAR, China" if country=="Macao"
replace coun="Serbia" if country=="Serbia, FR(Serbia/Montenegro)"
replace coun= "Türkiye" if country=="Turkey"
replace coun= "Venezuela, RB" if country=="Venezuela"
replace coun= "São Tomé and Príncipe" if country=="Sao Tome and Principe"
replace coun= "Sudan" if country=="Fm Sudan"

merge m:1 country using "$wb_class"
so _m count
replace region= "Sub-Saharan Africa" if country=="Côte d'Ivoire"
replace  income="Lower middle income" if country=="Côte d'Ivoire"
order _m country ta
so _m cou
replace region= "Sub-Saharan Africa" if country=="Côte d'Ivoire"
replace  income="Lower middle income" if country=="Côte d'Ivoire"
drop if _m==2
drop if missing(region)
drop _merge
replace iso="CIV" if country=="Côte d'Ivoire"


duplicates drop
duplicates report country
drop in 156/156
tempfile raw
save `raw',replace

clear
import excel "$main\Data\EG tariff\TC2_EG tariff.xlsx", sheet("all") firstrow
keep ReporterName Product PartnerName TariffYear SimpleAverage
rename Ta year
rename Rep country
rename Simple sa
reshape wide sa , i(country)j(y)
gen ta=sa2022
replace ta=sa2021 if missing(ta)
replace ta=sa2020 if missing(ta)
replace ta=sa2019 if missing(ta)
replace ta=sa2018 if missing(ta)
replace ta=sa2017 if missing(ta)
replace ta=sa2016 if missing(ta)
replace coun="Brunei Darussalam" if country=="Brunei"
replace coun="Cabo Verde" if country=="Cape Verde"
replace coun="Côte d'Ivoire" if country=="Cote d'Ivoire"
replace coun="Czechia" if country=="Czech Republic"
replace coun="Timor-Leste" if country=="East Timor"
replace coun="Ethiopia" if country=="Ethiopia(excludes Eritrea)"
replace coun="Hong Kong SAR, China" if country=="Hong Kong, China"
replace coun="Macao SAR, China" if country=="Macao"
replace coun="Serbia" if country=="Serbia, FR(Serbia/Montenegro)"
replace coun= "Türkiye" if country=="Turkey"
replace coun= "Venezuela, RB" if country=="Venezuela"
replace coun= "São Tomé and Príncipe" if country=="Sao Tome and Principe"
replace coun= "Sudan" if country=="Fm Sudan"
rename ta all

drop Product PartnerName
duplicates drop
duplicates report country
so country
duplicates list country
drop if all==0 & country=="Sudan"
merge 1:1 country using `raw'
order _m
so _m
preserve
collapse(mean) ta all
gen region="World average"
tempfile ta
save `ta',replace
restore
keep if _m==3
drop _m
keep country iso3 region income all ta
keep if income=="Lower middle income"
collapse(mean) ta all, by(region income)
append using `ta'
egen rank=rank(-ta) if region!="World average", track
so rank
gen group="LMI SSA" if rank==1
replace gr="LMI SAR" if rank==2
replace gr="LMI EAP" if rank==3
replace gr="LMI LAC" if rank==4
replace gr="LMI MENA" if rank==5
replace gr="LMI ECA" if rank==6
order region group ta all rank
replace gr="World average" if missing(rank)
drop rank
lab var ta "Environmental goods"
lab var all "All goods"
save "$main\Output\fig20.dta",replace


