
// THIS PROGRAM RUNS PROCEDURES FOR CREATING FIGURE 13
// DATE CREATED: 2025-04-25
// AUTHOR: Euijin Jung (ejung1@worldbank.org)

*************************************************************************
//////////// DATA TO GENERATE FIGURE 13 ///////////////////////////

clear all
set more off
global wb_class "$main\Data\GVC\ISO_Region_Income.dta"

use "$main\Data\GVC\indicators_csgroup_c_1990_2021.dta"

preserve
keep if year==2021
keep i_c i_s j_c year FPEX FPEXfv FPEXhe
replace j_c=upper(j_c)
local eu_members "AUT BEL BGR HRV CYP CZE DNK EST FIN FRA DEU GRC HUN IRL ITA LVA LTU LUX MLT NLD POL PRT ROU SVK SVN ESP SWE"
gen eu = 0
foreach code in `eu_members' {
    replace eu = 1 if j_c == "`code'"
}
collapse (sum) FPEX FPEXfv FPEXhe, by( i_c eu i_s)
reshape wide FPEX FPEXfv FPEXhe, i( i_c i_s)j( eu)
replace i_c=upper(i_c)
local eu_members "AUT BEL BGR HRV CYP CZE DNK EST FIN FRA DEU GRC HUN IRL ITA LVA LTU LUX MLT NLD POL PRT ROU SVK SVN ESP SWE"
gen eu = 0
foreach code in `eu_members' {
    replace eu = 1 if i_c == "`code'"
}
gen year=2021
drop FPEX0 FPEXfv0 FPEXhe0
tempfile temp
save `temp',replace
rename i_s sec
merge m:1 sec using "$main\Data\GVC\sec_des.dta"
drop _m
drop broad_sec broad_sec_des
rename i_c iso3
replace iso3="SDN" if iso3=="SUD"
replace iso3="SSD" if iso3=="SDS"
merge m:1 iso3 using "$wb_class"
order _m
so _m iso
keep if _m==3
drop _m
drop if sec=="26"
order sec_des country FPEX1 FPEXfv1 FPEXhe1 eu
drop if income=="High income"
bysort eu sec: egen rank=rank(- FPEX1),track
so eu sec rank
keep if sec=="05"
replace FPEX1=100* FPEX1
replace FPEXfv1=100* FPEXfv1
replace FPEXhe1=100* FPEXhe1

label var FPEX1 "GVC exposure to EU"
label var FPEXfv1 "Direct export to EU"
label var FPEXhe1 "Indirect export to EU"
label var sec_des sector
label var sec "sector code"
label var eu "1=eu member"
label var year "data in 2021"
label var rank "ranking by GVC exposure"
keep if rank<19
keep sec_des country FPEXfv1 FPEXhe1
save "$main\Output\fig13.dta",replace

restore
clear
